package com.zjsgfa.project.zjsgfa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zjsgfa.project.zjsgfa.mapper.SjSggyZjzhcsMapper;
import com.zjsgfa.project.zjsgfa.domain.SjSggyZjzhcs;
import com.zjsgfa.project.zjsgfa.service.ISjSggyZjzhcsService;

/**
 * 设计-钻具组合参数Service业务层处理
 * 
 * @author
 * @date 2025-08-18
 */
@Service
public class SjSggyZjzhcsServiceImpl implements ISjSggyZjzhcsService 
{
    @Autowired
    private SjSggyZjzhcsMapper sjSggyZjzhcsMapper;

    /**
     * 查询设计-钻具组合参数
     * 
     * @param id 设计-钻具组合参数主键
     * @return 设计-钻具组合参数
     */
    @Override
    public SjSggyZjzhcs selectSjSggyZjzhcsById(Long id)
    {
        return sjSggyZjzhcsMapper.selectSjSggyZjzhcsById(id);
    }

    /**
     * 查询设计-钻具组合参数列表
     * 
     * @param sjSggyZjzhcs 设计-钻具组合参数
     * @return 设计-钻具组合参数
     */
    @Override
    public List<SjSggyZjzhcs> selectSjSggyZjzhcsList(SjSggyZjzhcs sjSggyZjzhcs)
    {
        return sjSggyZjzhcsMapper.selectSjSggyZjzhcsList(sjSggyZjzhcs);
    }

    /**
     * 新增设计-钻具组合参数
     * 
     * @param sjSggyZjzhcs 设计-钻具组合参数
     * @return 结果
     */
    @Override
    public int insertSjSggyZjzhcs(SjSggyZjzhcs sjSggyZjzhcs)
    {
        return sjSggyZjzhcsMapper.insertSjSggyZjzhcs(sjSggyZjzhcs);
    }

    /**
     * 修改设计-钻具组合参数
     * 
     * @param sjSggyZjzhcs 设计-钻具组合参数
     * @return 结果
     */
    @Override
    public int updateSjSggyZjzhcs(SjSggyZjzhcs sjSggyZjzhcs)
    {
        return sjSggyZjzhcsMapper.updateSjSggyZjzhcs(sjSggyZjzhcs);
    }

    /**
     * 批量删除设计-钻具组合参数
     * 
     * @param ids 需要删除的设计-钻具组合参数主键
     * @return 结果
     */
    @Override
    public int deleteSjSggyZjzhcsByIds(Long[] ids)
    {
        return sjSggyZjzhcsMapper.deleteSjSggyZjzhcsByIds(ids);
    }

    /**
     * 删除设计-钻具组合参数信息
     * 
     * @param id 设计-钻具组合参数主键
     * @return 结果
     */
    @Override
    public int deleteSjSggyZjzhcsById(Long id)
    {
        return sjSggyZjzhcsMapper.deleteSjSggyZjzhcsById(id);
    }

    @Override
    public int importData(List<SjSggyZjzhcs> sjFdfxList) {
        return sjSggyZjzhcsMapper.importData(sjFdfxList);
    }
}
